body {
    overflow: hidden;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

a {
    color: black;
}

a:hover {
    text-decoration: none;
    color: black;
}

p {
    margin: 0;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    margin: 0;
}

img {
    width: 100%;
}

ul {
    padding-left: 0;
    margin-bottom: 0;
}

ul li {
    list-style: none;
}

:root {
    --darkgreen: #435b2f;
    --green: #639726;
    --lightgreen: #bdd957;
}

.panel {
    position: relative;
}

/* ----------------nav panel---------------- */
.navpanel {
    display: flex;
    align-items: center;
    width: 100%;
    /* background-color: var(--darkgreen); */
    background-color: black;
    height: 64px;
}

.navpanelleft {
    width: 230px;
}

.navpanelleft .logo {
    width: 226px;
    margin: auto;
    padding: 8px;
}

#togglebtn {
    color: white;
    font-size: 20px;
}

.navpanelleft .logo img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.navpanelright {
    flex: 1;
}

.navbar .dropdown {
    padding: 6px 12px;
    background: #fff;
}

.navbar .dropdown>a i {
    color: var(--danger);
    font-weight: 600;
    margin-right: 4px;
}


/* --------------------------------- */
.main-container {
    display: flex;
}

/* ----------sidebar-------------- */
.sidebar {
    width: 230px;
    background-color: #fff;
    height: 90vh;
    overflow-y: scroll;
    padding-bottom: 80px;
    z-index: 999;
}

::-webkit-scrollbar {
    width: 4px;
    height: 4px;
    background-color: #dee6e9;
}

::-webkit-scrollbar-thumb {
    width: 4px;
    background-color: var(--green);
}

.sidebar.sidebar-collapse {
    transform: translate(0, 0);
    width: 50px;
}

.sidebar.sidebar-collapse .sidebarul li span {
    display: none;
}

.sidebarul li a {
    display: block;
    padding: 6px;
    color: #343a40;
    font-size: 14px;
    position: relative;

}

.sidebarul li>a:not(.dropbtn).active,
.sidebarul li>a:hover {
    background: var(--success);
    color: white;
}

.sidebarul li a span {
    padding-left: 12px;
}

.sidebarul li {
    position: relative;
}

.sidebarul li::before {
    content: " ";
    position: absolute;
    top: 0;
    left: 0;
    width: 5px;
    height: 100%;
    background-color: #367fa9;
    display: none;
}

.sidebarul li.active::before {
    display: block;
}

.sidebarul li.active a {
    background-color: #1a2226;
}

.drop_menu {
    display: none;
    border-top: 1px solid #ccc;
}

.drop_menu li a {
    padding-left: 24px;
}

.drop_menu li span {
    vertical-align: middle;
}

.drop_menu li .fa {
    font-size: 6px;
    vertical-align: middle;
}

.fa-caret-down,
.fa-caret-up {
    position: absolute;
    top: 10px;
    right: 10px;
}

.sidebar.sidebar-collapse:hover {
    width: 230px;
}

.sidebar.sidebar-collapse .drop_menu>* {
    display: none;
}

.sidebar.sidebar-collapse:hover .drop_menu>* {
    display: block;
}

.sidebar.sidebar-collapse:hover .sidebarul li span {
    display: inline-block;
}

/* ------x----sidebar---------x----- */

.panelbody {
    flex: 1;
    padding: 20px;
    background: #f5f5f5;
    height: 90vh;
    overflow-y: auto;
    padding-bottom: 80px;
}

/* --------------Admin login--------------- */
.loginpage {
    background: url('../../images/loginbg3.jpg');
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    position: relative;
    height: 100vh;
}

.loginpage form {
    width: 40%;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 20px;
    box-shadow: 0px 0px 8px 0px rgba(0, 0, 0, 0.4);
    background: #ffffffe6;
    border-radius: 14px;
}

.admin_login {
    width: 100%;
    text-align: center;
    padding: 8px 12px;
    color: #fff;
    background-color: var(--danger);
    margin-bottom: 12px;
    border-radius: 6px;
    font-size: 20px;
    font-weight: 600;
}

.logo_img {
    width: 180px;
    margin: auto;
    margin-bottom: 12px;
}

.logo_img img {
    width: 100%;
}

@media screen and (max-width:992px) {
    .loginpage form {
        width: 70%;
    }

    .sidebar {
        position: absolute;
        transform: translateX(-100%);
        transition: .5s all ease-in;
    }

    .sidebar.sidebar-collapse {
        width: 230px;
        transform: translateX(0%);
    }

    .sidebar.sidebar-collapse .sidebarul li span {
        display: inline-block;
    }

}

/* -------x-------Admin login------x--------- */

/* ------------product---------- */
.alldiv {
    box-shadow: 0 0 8px 0 rgba(0, 0, 0, 0.1);
    border-radius: 4px;
    background: #fff;
    margin-bottom: 24px;
}

.titleBar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    padding: 16px;
}

.titleBar h3 {
    color: var(--sky);
    font-size: 20px;
    letter-spacing: 1.5px;
}

.table-responsive .table tr td,
.table-responsive .table tr th {
    vertical-align: middle;
    white-space: nowrap;
}

.tableImg img {
    width: 150px;
    height: 130px;
    object-fit: contain;
}

.table ul li {
    list-style: inside disc;
}

.textWrap {
    white-space: normal;
    text-align: justify;
    min-width: 300px;
}

.alldiv form,
form .alldiv {
    padding: 16px;
}

.formimg img {
    height: 200px;
    object-fit: contain;
}

.moreItemContent {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
}

.moreItemContent .alldiv {
    width: 49%;
}

.dashboardBox {
    padding: 16px;
    margin-bottom: 16px;
}

.dashboardBox h3 {
    color: var(--sky);
    font-weight: 600;
    margin-bottom: 12px;
}

/* ------------product---------- */

/* Toggle Btn */
.cms-toggle-btn {
    cursor: pointer;
    margin-bottom: 0px;
}

.cms-toggle-btn>.cms-toggle-input {
    display: none;
}

.cms-toggle-btn>.cms-toggle-handle {
    width: 48px;
    height: 20px;
    background-color: var(--danger);
    display: inline-block;
    border-radius: 20px;
    position: relative;
}

.cms-toggle-btn>.cms-toggle-handle::before {
    content: "";
    width: 18px;
    height: 18px;
    position: absolute;
    left: 1px;
    background-color: white;
    z-index: 1002;
    border-radius: 18px;
    top: 1px;
    transition: all 0.4s ease;
}

.cms-toggle-btn>.cms-toggle-input:checked+.cms-toggle-handle {
    background-color: var(--success);
    transition: all 0.4s ease;
}

.cms-toggle-btn>.cms-toggle-input:checked+.cms-toggle-handle::before {
    left: calc(48px - 18px - 1px);
    transition: all 0.4s ease;
}

.img-preview{
    margin:8px 0px;
    border: 1px dashed var(--secondary);
    background-color: #ccc;
}
.img-preview>img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.slider-preview{
    width: 300px;
    height: 125px;
}
.category-preview,
.subcategory-preview,
.brand-preview{
    width: 200px;
    height: 200px;
}
.images-preview{
    display: flex;
    flex-wrap: wrap;
}
.preview-box.product-image-preview {
    width: 200px;
    height: 200px;
    margin: 8px;
}
.preview-box.product-image-preview>img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.logo-box{
    width: 140px;
}
.favicon-box{
    width: 64px;
}
@media screen and (max-width:600px) {
    .navpanelleft {
        width: auto;
    }

    .navpanelleft .logo {
        margin: 0;
    }

    .tableImg img {
        height: 70px;
        width: 100px;
    }

    .sidebar {
        padding-bottom: 120px;
    }

    .loginpage form {
        width: 90%;
    }

    .panelbody {
        padding: 16px;
        height: 75vh;
        padding-bottom: 80px;
    }

    .sidebar.sidebar-collapse .drop_menu>* {
        display: inline-block;
    }
}

.summary-count{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
    font-size: 18px;
    color: var(--secondary);
    font-weight: 500;
}
.summary-count>.count-circle {
    display: inline-block;
    width: 40px;
    height: 40px;
    text-align: center;
    line-height: 40px;
    color: white;
    background: var(--success);
    border-radius: 12px;
    font-size: 24px;
}

#alert_zone{
    position: fixed;
    right: 12px;
    bottom: 12px;
}
.toast{
    width: 300px;
}

.stars li {
    display: inline-block;
}

.stars li i {
    display: block;
    font-size: 20px;
    cursor: pointer;
    padding: 3px;
}
